Update a site.

PUT /users/site

Operation id: SiteService_UpdateSite

Description

Permission Level: Read-Write

Tags: SiteService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Mimics UpdateSiteRequest, but removes the fields workspace_type as that field can be populated through keywords/business logic.

Required: Yes

application/json

Schema

Mimics UpdateSiteRequest, but removes the fields workspace_type as that field can be populated through keywords/business logic.

PropertyTypeRequiredDescription
namestringNo
tenantIdstringNo
parentstringNo
displayNamestringNo
attributesarrayNo
domainstringNo
updateFieldMaskstringNo
updateScopeOptionobjectNo
descriptionstringNo
expirationobjectNo
siteTypestringNo
siteTierstringNo
isSyncBridgebooleanNo
{
  "type": "object",
  "description": "Mimics UpdateSiteRequest, but removes the fields `workspace_type` as that field can be populated through keywords/business logic.",
  "properties": {
    "name": {
      "type": "string"
    },
    "tenantId": {
      "type": "string"
    },
    "parent": {
      "type": "string"
    },
    "displayName": {
      "type": "string"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    },
    "domain": {
      "type": "string"
    },
    "updateFieldMask": {
      "type": "string"
    },
    "updateScopeOption": {
      "type": "object",
      "properties": {
        "scopes": {
          "type": "object"
        },
        "autoRemoveUsers": {
          "type": "boolean"
        }
      }
    },
    "description": {
      "type": "string"
    },
    "expiration": {
      "type": "object"
    },
    "siteType": {
      "type": "string"
    },
    "siteTier": {
      "type": "string"
    },
    "isSyncBridge": {
      "type": "boolean"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
namestringNo
tenantIdstringNo
parentstringNo
displayNamestringNo
attributesarrayNo
domainstringNo
enabledScopesobjectNo
descriptionstringNo
expirationobjectNo
siteTypestringNo
siteTierstringNo
isHierarchyNodebooleanNoTrue if is a Retail Operating Model "Hierarchy Node", false if it is a Retail Operating Model "Site". Defaults to a Retail Operating Model "Site" if not included.
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "tenantId": {
      "type": "string"
    },
    "parent": {
      "type": "string"
    },
    "displayName": {
      "type": "string"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    },
    "domain": {
      "type": "string"
    },
    "enabledScopes": {
      "type": "object"
    },
    "description": {
      "type": "string"
    },
    "expiration": {
      "type": "object"
    },
    "siteType": {
      "type": "string"
    },
    "siteTier": {
      "type": "string"
    },
    "isHierarchyNode": {
      "type": "boolean",
      "description": "True if is a Retail Operating Model \"Hierarchy Node\", false if it is a Retail Operating Model \"Site\".\nDefaults to a Retail Operating Model \"Site\" if not included."
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}